[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCompositeCellEditor.WndProc

Implements message processing for the composite cell editor.

## Declaration

Source position: grids.pas line 330

`protected procedure TCompositeCellEditor.WndProc(`
`var TheMessage: TLMessage`
`); override;`

## Arguments

`TheMessage` |  | LCL message handled for the control.

## Description

WndProc is an overridden method in TCompositeCellEditor. It ensures that a LM_CHAR message in TheMessage is handled for the control. The character argument in the message is passed to the active control using the SendChar method.

No additional actions are performed in the method if the character is handled by one of the editor controls in the composite editor. If the character is not handled, or the message has a message constant other than LM_CHAR, the inherited method (in TWinControl) is called.

## See also

#lcl.controls.TControl.WndProc |  | The general message handler for this control.